mixin table(spec)
  - spec = spec || {}
  - spec.__class = spec.__class || ''
  
  if (spec.rank == true)
    table.table(class=spec.__class)&attributes(attributes)
      tr.table__header
        th.table__title.table__title-one rank 1 to 20
        th.table__title.table__title-two rank 21 to 50
        th.table__title.table__title-three rank 50 onwards
      +line-table({__class:' table__line-table', rank: true})
  else 
    table.table(class=spec.__class)&attributes(attributes)
      tr.table__header
        th.table__title lvl
        th.table__title price
        th.table__title cooldown
        th.table__title kills
        th.table__title duration
      +line-table({__class:' table__line-table', lvl: '1', price:'4000'})
      +line-table({__class:' table__line-table', lvl: '2', price:'6000'})
      +line-table({__class:' table__line-table', lvl: '3', price:'8000'})
      +line-table({__class:' table__line-table', lvl: '4', price:'8000'})
      +line-table({__class:' table__line-table', lvl: '5', price:'8000'})
      